<?php

if (!defined('txpinterface')) die('txpinterface is undefined.');

theme::based_on('classic');

class a_bit_blue_theme extends classic_theme
{
	function header()
	{

		global $sitename,$txp_user;

		$prefs = get_prefs();
		$site_link = href($prefs['sitename'], hu);
	    $user = array();
		$user = safe_row('*','txp_users',"name = '". doSlash($txp_user)."'");
		$user_info = ($txp_user) ? '<span class="user">Welcome&nbsp;</span><span class="user">'.$user['RealName'].'</span><span class="logButton"><a href="?logout=1" class="logLink">'.gTxt('logout').'</a></span>' : '';

        $out[] = '<div id="outLinks">'.n.
            '<span><a href="http://forum.textpattern.com/" target="_blank">TXP Forum</a></span>'.n.
            '<span><a href="http://textpattern.net/wiki/index.php?title=Main_Page" target="_blank">TextBook</a></span>'.n.
            '<span><a href="http://textpattern.org/" target="_blank">TXP Resources</a></span>'.n.
            '</div>'.n.
            '<div id="header">'.n.
            '<span id="txp-title">'.$sitename.'</span>'.n.
            '<div id="headLinks">'.$user_info.'</div>'.navPop(1).'</div>';

    	if (!$this->is_popup)
    	{
    		$out[] = '<ul id="areas">';

   			$secondary = '';
   			foreach ($this->menu as $tab)
 	    	{
		    	$tc = ($tab['active']) ? 'active' : 'tabdown';
			   	$atts=' class="'.$tc.'"';
			    $hatts='href="?event='.$tab['event'].'"';
                $out[] = '<li'.$atts.'><a '.$hatts.'>'.$tab['label'].'</a></li>';

          		if ($tab['active'] && !empty($tab['items']))
		    	{
			   		$secondary = '<ul id="actions">';
			    	foreach ($tab['items'] as $item)
				    {
					    $tc = ($item['active']) ? 'active' : 'tabdown2';
    					$secondary .= '<li class="'.$tc.'"><a href="?event='.$item['event'].'">'.$item['label'].'</a></li>';
	    			}
		    		$secondary .= '</ul>';
			   	}
   			}
    		$out[] = '<li id="viewSite"><a href="'.hu.'" target="_blank">'.gTxt('tab_view_site').'</a></li>'.n.
		    '</ul>';
	 		$out[] = $secondary;
 		}
 		$out[] = '<div id="messagepane">' .$this->announce($this->message).'</div>';
 		return join(n, $out);
	}

	function manifest()
	{
		global $prefs;
		return array(
			'title' 		=> 'A Bit Blue',
			'author' 		=> 'thebombsite',
			'author_uri' 	=> 'http://thebombsite.com/textpattern-themes/a-bit-blue',
			'version' 		=> $prefs['version'],
			'description' 	=> 'A Bit Blue Theme',
			'help' 			=> 'http://textpattern.com/admin-theme-help',
		);
	}
}
?>